> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Website info

> Extract optimized titles and descriptions from any website for SEO.



## OpenAPI

````yaml POST /public/v1/wol-meta-info
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /public/v1/wol-meta-info:
    post:
      description: Extract optimized titles and descriptions from any website for SEO.
      requestBody:
        description: Extract titles and descriptions
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WolMetaInfoRequest'
        required: true
      responses:
        '200':
          description: Wol meta information generated successfully!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WolMetaInfoResponse'
              examples:
                validationError:
                  value:
                    status: 200
                    data: {}
                    success: true
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    status: 400
                    data: {}
                    success: false
                    message: <string>
      servers:
        - url: https://api.hobbo.ai
components:
  schemas:
    WolMetaInfoRequest:
      type: object
      required:
        - email
        - website
      properties:
        email:
          type: string
          format: email
          description: User email address used for tracking or contact
        website:
          type: string
          format: uri
          description: The URL of the website to extract meta info from
    WolMetaInfoResponse:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          properties:
            title:
              type: string
              description: Extracted title of the website
            description:
              type: string
              description: SEO-optimized description of the website
        success:
          type: boolean
          description: Indicates if the operation was successful
        message:
          type: string
          description: Descriptive message of the response
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````